# coding: utf-8

"""
    VMware Aria Automation Assembler / CMX Service API

    When using Kubernetes integration, deploy and manage Kubernetes clusters and namespaces. The APIs that list collections of resources also support OData like implementation. Below query params can be used across CMX entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/cmx/api/resources/tags?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/cmx/api/resources/tags?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/cmx/api/resources/tags?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /cmx/api/resources/tags?$filter=startswith(name, 'K8S')   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class IdProjectsBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'created_millis': 'int',
        'id': 'str',
        'max_number_namespaces': 'int',
        'max_number_namespaces_unlimited': 'bool',
        'max_number_supervisor_namespaces': 'int',
        'org_id': 'str',
        'priority': 'int',
        'project_id': 'str',
        'updated_millis': 'int'
    }

    attribute_map = {
        'created_millis': 'createdMillis',
        'id': 'id',
        'max_number_namespaces': 'maxNumberNamespaces',
        'max_number_namespaces_unlimited': 'maxNumberNamespacesUnlimited',
        'max_number_supervisor_namespaces': 'maxNumberSupervisorNamespaces',
        'org_id': 'orgId',
        'priority': 'priority',
        'project_id': 'projectId',
        'updated_millis': 'updatedMillis'
    }

    def __init__(self, created_millis=None, id=None, max_number_namespaces=None, max_number_namespaces_unlimited=None, max_number_supervisor_namespaces=None, org_id=None, priority=None, project_id=None, updated_millis=None):  # noqa: E501
        """IdProjectsBody - a model defined in Swagger"""  # noqa: E501
        self._created_millis = None
        self._id = None
        self._max_number_namespaces = None
        self._max_number_namespaces_unlimited = None
        self._max_number_supervisor_namespaces = None
        self._org_id = None
        self._priority = None
        self._project_id = None
        self._updated_millis = None
        self.discriminator = None
        if created_millis is not None:
            self.created_millis = created_millis
        if id is not None:
            self.id = id
        if max_number_namespaces is not None:
            self.max_number_namespaces = max_number_namespaces
        if max_number_namespaces_unlimited is not None:
            self.max_number_namespaces_unlimited = max_number_namespaces_unlimited
        if max_number_supervisor_namespaces is not None:
            self.max_number_supervisor_namespaces = max_number_supervisor_namespaces
        if org_id is not None:
            self.org_id = org_id
        if priority is not None:
            self.priority = priority
        if project_id is not None:
            self.project_id = project_id
        if updated_millis is not None:
            self.updated_millis = updated_millis

    @property
    def created_millis(self):
        """Gets the created_millis of this IdProjectsBody.  # noqa: E501


        :return: The created_millis of this IdProjectsBody.  # noqa: E501
        :rtype: int
        """
        return self._created_millis

    @created_millis.setter
    def created_millis(self, created_millis):
        """Sets the created_millis of this IdProjectsBody.


        :param created_millis: The created_millis of this IdProjectsBody.  # noqa: E501
        :type: int
        """

        self._created_millis = created_millis

    @property
    def id(self):
        """Gets the id of this IdProjectsBody.  # noqa: E501


        :return: The id of this IdProjectsBody.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this IdProjectsBody.


        :param id: The id of this IdProjectsBody.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def max_number_namespaces(self):
        """Gets the max_number_namespaces of this IdProjectsBody.  # noqa: E501


        :return: The max_number_namespaces of this IdProjectsBody.  # noqa: E501
        :rtype: int
        """
        return self._max_number_namespaces

    @max_number_namespaces.setter
    def max_number_namespaces(self, max_number_namespaces):
        """Sets the max_number_namespaces of this IdProjectsBody.


        :param max_number_namespaces: The max_number_namespaces of this IdProjectsBody.  # noqa: E501
        :type: int
        """

        self._max_number_namespaces = max_number_namespaces

    @property
    def max_number_namespaces_unlimited(self):
        """Gets the max_number_namespaces_unlimited of this IdProjectsBody.  # noqa: E501


        :return: The max_number_namespaces_unlimited of this IdProjectsBody.  # noqa: E501
        :rtype: bool
        """
        return self._max_number_namespaces_unlimited

    @max_number_namespaces_unlimited.setter
    def max_number_namespaces_unlimited(self, max_number_namespaces_unlimited):
        """Sets the max_number_namespaces_unlimited of this IdProjectsBody.


        :param max_number_namespaces_unlimited: The max_number_namespaces_unlimited of this IdProjectsBody.  # noqa: E501
        :type: bool
        """

        self._max_number_namespaces_unlimited = max_number_namespaces_unlimited

    @property
    def max_number_supervisor_namespaces(self):
        """Gets the max_number_supervisor_namespaces of this IdProjectsBody.  # noqa: E501


        :return: The max_number_supervisor_namespaces of this IdProjectsBody.  # noqa: E501
        :rtype: int
        """
        return self._max_number_supervisor_namespaces

    @max_number_supervisor_namespaces.setter
    def max_number_supervisor_namespaces(self, max_number_supervisor_namespaces):
        """Sets the max_number_supervisor_namespaces of this IdProjectsBody.


        :param max_number_supervisor_namespaces: The max_number_supervisor_namespaces of this IdProjectsBody.  # noqa: E501
        :type: int
        """

        self._max_number_supervisor_namespaces = max_number_supervisor_namespaces

    @property
    def org_id(self):
        """Gets the org_id of this IdProjectsBody.  # noqa: E501


        :return: The org_id of this IdProjectsBody.  # noqa: E501
        :rtype: str
        """
        return self._org_id

    @org_id.setter
    def org_id(self, org_id):
        """Sets the org_id of this IdProjectsBody.


        :param org_id: The org_id of this IdProjectsBody.  # noqa: E501
        :type: str
        """

        self._org_id = org_id

    @property
    def priority(self):
        """Gets the priority of this IdProjectsBody.  # noqa: E501


        :return: The priority of this IdProjectsBody.  # noqa: E501
        :rtype: int
        """
        return self._priority

    @priority.setter
    def priority(self, priority):
        """Sets the priority of this IdProjectsBody.


        :param priority: The priority of this IdProjectsBody.  # noqa: E501
        :type: int
        """

        self._priority = priority

    @property
    def project_id(self):
        """Gets the project_id of this IdProjectsBody.  # noqa: E501


        :return: The project_id of this IdProjectsBody.  # noqa: E501
        :rtype: str
        """
        return self._project_id

    @project_id.setter
    def project_id(self, project_id):
        """Sets the project_id of this IdProjectsBody.


        :param project_id: The project_id of this IdProjectsBody.  # noqa: E501
        :type: str
        """

        self._project_id = project_id

    @property
    def updated_millis(self):
        """Gets the updated_millis of this IdProjectsBody.  # noqa: E501


        :return: The updated_millis of this IdProjectsBody.  # noqa: E501
        :rtype: int
        """
        return self._updated_millis

    @updated_millis.setter
    def updated_millis(self, updated_millis):
        """Sets the updated_millis of this IdProjectsBody.


        :param updated_millis: The updated_millis of this IdProjectsBody.  # noqa: E501
        :type: int
        """

        self._updated_millis = updated_millis

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(IdProjectsBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, IdProjectsBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
